<?php
	// Tenta se conectar ao servidor MySQL
	include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
	include $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';
	$cfg = $_SESSION["configs"];

	// ini_set('display_errors',1);
	// ini_set('display_startup_erros',1);
	// error_reporting(E_ALL);

	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$_GET = $query;
	$token = $_GET["token"];
	$match_id = $_GET["match_id"];
	if($token == '' && isset($_SESSION["usuario"])){ $_GET["token"] = $_SESSION["usuario"]["api_token"]; $token = $_SESSION["usuario"]["api_token"]; }

	// Verifica type e permissões
	if(!isset($_GET["token"])){ $ret['error'] = 'Token inexistente ou invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Retorno
	$ret = array();
	$ret['date'] = date('Y-m-d H:i:s');
	$datetime = date('Y-m-d H:i:s');

	// Pesquisa usuário
	$sql = $mysqli->query("SELECT usuario_id, usuario_permissoes, usuario_nome FROM usuarios WHERE usuario_api_token = '$token'");
	if(mysqli_num_rows($sql) == 0 || !isset($_GET["token"]) || $_GET["token"] == ''){ $ret['error'] = 'TOKEN invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Pega dados do usuario
	$u = $sql->fetch_assoc();
	$userid = $u["usuario_id"];
	$perms = explode('-', $u["usuario_permissoes"]);

	// Verifica type e permissões
	if(!in_array('15', $perms)){ $ret['error'] = 'Você não possui permissões suficientes para gerenciar partidas manuais.'; $ret['status'] = 'error'; $ret['status_code'] = 'invalidPerm'; finishJSONRequest($ret); }

	$sql = $mysqli->query("SELECT * FROM jogos WHERE jogo_id = '$match_id'");
	$i = 0;
	while ($j = $sql->fetch_assoc()) {
		$ret['match']['id'] = $j["jogo_id"];
		$ret['match']['sport'] = utf8_encode($j["jogo_esporte"]);
		$ret['match']['country'] = utf8_encode($j["jogo_pais"]);
		$ret['match']['name'] = utf8_encode($j["jogo_nome"]);
		$ret['match']['event'] = utf8_encode($j["jogo_campeonato"]);
		$ret['match']['status'] = utf8_encode($j["jogo_status"]);
		$ret['match']['date'] = desfazDatetime($j["jogo_data"]);
		$ret['match']['odds'] = $j["jogo_casa"].' | '.$j["jogo_empate"].' | '.$j["jogo_visitante"];
		$i++;
	}

	// Pesquisa
	$sql = $mysqli->query("DELETE FROM jogos WHERE jogo_id = '$match_id'");
	if(!$sql){
		$ret['error'] = 'Ocorreu um erro ao processar requisição. Erro: '.$mysqli->error.'.'; $ret['status'] = 'error'; $ret['status_code'] = 'databaseError'; finishJSONRequest($ret);
	}

	// Adiciona ao histórico
	$titulo = utf8_decode('Partida manual apagada - '.$ret['match']['name']);
	$descricao = utf8_decode('Uma partida manual foi removida. Partida: '.$ret['match']['name'].' | Removida por '.$u["usuario_nome"]);
	$sql = $mysqli->query("INSERT INTO historico SET hist_tipo = 'deleteMatch', hist_titulo = '$titulo', hist_descricao = '$descricao', hist_usuario = '0', hist_admin = '$userid', hist_data = '$datetime'");

	$ret['success'] = 'Pronto! A partida foi apagada.';
	$ret['status'] = 'success';
	echo json_encode($ret);
?>